Skip to main content
`Ctrl`+`K`

# PetscHeap

A simple class for managing heaps

## Synopsis

    typedef struct _n_PetscHeap *PetscHeap;

## See Also

`PetscHeapCreate()`, `PetscHeapAdd()`, `PetscHeapPop()`, `PetscHeapPeek()`, `PetscHeapStash()`, `PetscHeapUnstash()`, `PetscHeapView()`, `PetscHeapDestroy()`

## Level

intermediate

## Location

include/petscsystypes.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages